## Grammar for Link Descriptions

Link descriptions are based on the general grammar for description files, the naming conventions for module files, and the naming conventions for description files.

### Syntax

<link_description> = {<block>} | EMPTY

<line> = <link_desc_line>

<link_desc_line> = <comment_line> | <link_line> | <def_line> | <ext_target_option_line> | <tool_option_line> | <file> | EMPTY

<tool_option_line> = <extended_letter><token><new_line>

<file> = (/ | $)<token>

<link_line> = [<source_spec>|<desc_spec>]<new_line>

#### General Rule

In <tool_option_line>, <ext_character> must not begin with / | $ | !